// Imports
const {
  insertQuery,
  selectWhereAllQuery,
  selectWhereAnyQuery,
  updateWhereAnyQuery,
  deleteQuery,
} = require("../utils/postgres-common");
// Constants
const table = "files";
// Queries
const insertFile = (owner, filename, original_filename, filesize) => {
  var query = insertQuery(table, {
    owner,
    filename,
    original_filename,
    filesize,
    public: false,
    edit: [],
    view: [],
  });
  query += `\nRETURNING *;`;
  return PG.query(query);
};

const queryOwnedFiles = (owner) => {
  var query = selectWhereAllQuery(table, { owner });
  return PG.query(query);
};

const deleteFile = (fileId) => {
  var query = deleteQuery(table, { id: fileId });
  query += "\nRETURNING *";
  return PG.query(query);
};

const getFile = (fileId) => {
  const query = selectWhereAllQuery(table, { id: fileId });
  return PG.query(query);
};

const setPublic = (fileId) => {
  const query = `UPDATE ${table} SET public = NOT public WHERE id='${fileId}'`;
  return PG.query(query);
};

module.exports = {
  insertFile,
  queryOwnedFiles,
  deleteFile,
  getFile,
  setPublic,
};
