// Imports
const {
  insertQuery,
  selectWhereAnyQuery,
  updateWhereAnyQuery,
} = require("../utils/postgres-common");
// Constants
const table = "users";
const defaultStorage = process.env.NUBIAN_DEFAULT_STORAGE ?? 0;
// Queries
const upsertUser = (cairo_id) => {
  var query = insertQuery(table, {
    cairo_id,
    storage: defaultStorage,
    used_storage: 0,
  });
  query += `ON CONFLICT DO NOTHING;\n`;
  query += selectWhereAnyQuery(table, { cairo_id });
  return PG.query(query);
};

const queryUserByCairoId = (cairo_id) => {
  const query = selectWhereAnyQuery(table, { cairo_id });
  return PG.query(query);
};

const updateUsedStorage = (cairo_id, used_storage) => {
  const query = updateWhereAnyQuery(table, { used_storage }, { cairo_id });
  return PG.query(query);
};

module.exports = {
  upsertUser,
  queryUserByCairoId,
  updateUsedStorage,
};
