CREATE SEQUENCE files_id_seq;
CREATE TABLE files (
  id bigint NOT NULL DEFAULT nextval('files_id_seq') PRIMARY KEY,
  owner varchar(31) DEFAULT NULL,
  filename varchar(255) DEFAULT NULL,
  original_filename varchar(255) DEFAULT NULL,
  filesize bigint DEFAULT 0,
  created timestamp DEFAULT timezone('utc', now()),
  modified timestamp DEFAULT timezone('utc', now()),
  public boolean DEFAULT FALSE,
  edit varchar(31)[] DEFAULT NULL,
  view varchar(31)[] DEFAULT NULL,
  CONSTRAINT unique_file_id UNIQUE(id)
);
ALTER SEQUENCE files_id_seq OWNED BY files.id;
