// Global configuration
const globals = require("./utils/globals");
// Imports
const { cyanBright, magentaBright } = require("chalk");
const express = require("express");
const figlet = require("figlet");
// Local imports
const postgres = require("./utils/postgres.js");
// Constants
const port = process.env.NUBIAN_DEV_PORT ?? 52001;
const app = express();
// Routes
app.use(require("./routes/vitals-router"));
app.use("/api/stash", require("./routes/stash-route"));
console.log(cyanBright(figlet.textSync("Nubian", "Dr Pepper")));
console.log(magentaBright(`Up at: ${new Date()}`));
postgres.configure().then(async () => {
  const upMsg = `Webserver listening on port ${port}!`;
  app.listen(port, () => logSuccess("EXPRESS", upMsg));
});
