// Imports
const { redBright, greenBright, cyanBright, magentaBright } = require("chalk");
// Force terminal to use color
process.env.FORCE_COLOR = "1";
// Methods
const logCustom = (color, header, ...info) =>
  console.log(color(`[${header}]`), ...info);
// Extensions
const logInfo = (header, ...args) => logCustom(cyanBright, header, ...args);
const logError = (header, ...args) => logCustom(redBright, header, ...args);
const logSuccess = (header, ...args) => logCustom(greenBright, header, ...args);
const logVerbose = (header, ...args) =>
  logCustom(magentaBright, header, ...args);

module.exports = {
  logInfo,
  logError,
  logSuccess,
  logVerbose,
};
